#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long x=1,y=2,z=5,t=0,k;
    long long unos;
    long long p=0,r=1;
    cin>>unos;
    k=unos;
    while(z<k){
            z*=10;
            p++;
    }
    z=5;
    while(unos>0){
        for(int i=0;i<p;i++){
            r*=10;
        }
        t+=unos/(z*r);
        unos=unos%(z*r);
        t+=unos/(y*r);
        unos=unos%(y*r);
        t+=unos/(x*r);
        unos=unos%(x*r);
        p--;
        r=1;
    }
    cout<<t;
    return 0;
}